Send domain transfer authorization code
Deferred
GET
https://api.lws.net/v1/
operationIdgetDomainAuthcode
Request the authorization code required to transfer a domain to another registrar. It will be sent by mail to the domain owner. You may need to wait a few minutes before the request is processed.
This request is processed in the background: it answers immediately while the work continues. Follow it with the task or request endpoints.
Path parameters
-
domainstring required -
Domain name whose AuthCode to request
Responses
200
Authorization code request successful
{
"code": 200,
"info": "Your AuthCode request is currently pending. Please check your email for the AuthCode in a few minutes.",
"data": "pending"
}
Response fields 3 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
-
datastring
314
Domain not found on the account
314 is not a registered HTTP status code. It is specific to this API.
{
"code": 314,
"info": "Provided domain has not been found on your account. You must own this domain to manage it."
}
Response fields 2 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
400
Invalid domain
{
"code": 400,
"info": "No domain provided"
}
Response fields 2 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
500
Internal Server Error
{
"code": 500,
"info": "Internal Server Error",
"data": "string"
}
Response fields 3 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
-
datastringDetailed message about the error
502
Bad Gateway
{
"code": 502,
"info": "Invalid response from upstream server",
"data": []
}
Response fields 3 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
-
dataobjectInvalid response returned by the server
503
Unexpected status
{
"code": 503,
"info": "Unexpected status",
"data": []
}
Response fields 3 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
-
dataobjectUnexpected status returned by the server
401
Unauthorized - Missing authentication headers
{
"code": 401,
"info": "Unauthorized access to the API. Please specify X-Auth-Pass and X-Auth-Login to proceed."
}
Response fields 2
-
codeinteger -
infostring
429
Rate limit exceeded
{
"code": 429,
"info": "Rate limit exceeded. Please try again later."
}
Response fields 2
-
codeinteger -
infostring